diff --git a/patches/apply.sh b/patches/apply.sh
index d5492b1b..87d84848 100755
--- a/subprojects/wlroots-hyprland/patches/apply.sh
+++ b/subprojects/wlroots-hyprland/patches/apply.sh
@@ -4,15 +4,15 @@
 PATCHES=$(find patches/ -type f -name '*.patch')
 
 apply () {
-	git apply $PATCH
+	patch -p1 -r /dev/null -N -s < $PATCH >/dev/null 2>&1 && echo NEW: \'$PATCH\'
 }
 
 check_applied () {
-	git apply --check --reverse -q $PATCH
+	patch -p1 -r /dev/null --dry-run -R -s < $PATCH >/dev/null 2>&1 && echo OK: \'$PATCH\'
 }
 
 fail () {
-	echo =======\> \'$PATCH\' was not applied && exit 1
+	echo FAILED: \'$PATCH\' NOT APPLICABLE && exit 1
 }
 
 if [ -n "$PATCHES" ];
